package com.kmall.common.utils.wechat.wxglobal.dto;

/**
 * 加密数据
 * @author huangyq
 * @version 1.0
 * 2018-12-28 12:02
 */
public class ResourceDto {
    private String algorithm;//加密算法类型

    private String ciphertext;//数据密文
    private String associated_data;//附加数据
    private String nonce;//随机串

    public String getAlgorithm() {
        return algorithm;
    }

    public void setAlgorithm(String algorithm) {
        this.algorithm = algorithm;
    }

    public String getCiphertext() {
        return ciphertext;
    }

    public void setCiphertext(String ciphertext) {
        this.ciphertext = ciphertext;
    }

    public String getAssociated_data() {
        return associated_data;
    }

    public void setAssociated_data(String associated_data) {
        this.associated_data = associated_data;
    }

    public String getNonce() {
        return nonce;
    }

    public void setNonce(String nonce) {
        this.nonce = nonce;
    }
}
